"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TDengineInsertService = void 0;
const axios_1 = require("@nestjs/axios");
const common_1 = require("@nestjs/common");
const dayjs = require("dayjs");
const rxjs_1 = require("rxjs");
const error_wrapper_decorator_1 = require("../decorators/error-wrapper.decorator");
const iric_util_1 = require("../utils/iric.util");
let TDengineInsertService = class TDengineInsertService {
    constructor(httpService, iricUtil) {
        this.httpService = httpService;
        this.iricUtil = iricUtil;
    }
    async insert(database, table, values, ts) {
        const sql = `
    INSERT INTO ${database}.${table}
    VALUES (${ts ? `'${dayjs(ts).format('YYYY-MM-DD HH:mm:ss.SSS')}'` : 'now'}, ${values.map(value => this.iricUtil.convertJSValue(value)).join(', ')})
  `;
        const { data } = await rxjs_1.firstValueFrom(this.httpService.post('/rest/sql', sql));
        return { success: data.status === "succ" /* Success */, data };
    }
    async insertWithSuperTable(database, stable, table, tags, values, ts) {
        const sql = `
      INSERT INTO ${database}.${table}
      USING ${database}.${stable}
      TAGS (${tags.map(tag => this.iricUtil.convertJSValue(tag)).join(', ')})
      VALUES (${ts ? `'${dayjs(ts).format('YYYY-MM-DD HH:mm:ss.SSS')}'` : 'now'}, ${values.map(value => this.iricUtil.convertJSValue(value)).join(', ')})
    `;
        const { data } = await rxjs_1.firstValueFrom(this.httpService.post('/rest/sql', sql));
        return { success: data.status === "succ" /* Success */, data };
    }
};
__decorate([
    error_wrapper_decorator_1.TDengineErrorWrapper(),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, String, Array, Date]),
    __metadata("design:returntype", Promise)
], TDengineInsertService.prototype, "insert", null);
__decorate([
    error_wrapper_decorator_1.TDengineErrorWrapper(),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, String, String, Array, Array, Date]),
    __metadata("design:returntype", Promise)
], TDengineInsertService.prototype, "insertWithSuperTable", null);
TDengineInsertService = __decorate([
    common_1.Injectable(),
    __metadata("design:paramtypes", [axios_1.HttpService, iric_util_1.IricUtil])
], TDengineInsertService);
exports.TDengineInsertService = TDengineInsertService;
