import { HttpService } from '@nestjs/axios';
import { CreateTableResponse } from '../interfaces/response/table/create-table.response.interface';
import { DeleteTableResponse } from '../interfaces/response/table/delete-table.response.interface';
import { FindAllTableResponse } from '../interfaces/response/table/find-all-table.response.interface';
export declare class TDengineTableService {
    private readonly httpService;
    constructor(httpService: HttpService);
    /**
     * 创建表
     * @param database 数据库
     * @param name 表
     * @param fieldList 字段列表
     * @param ifNotExists 是否仅在不存在时创建（默认：false）
     * @returns 表创建结果
     */
    create(database: string, name: string, fieldList: string[][], ifNotExists?: boolean): Promise<CreateTableResponse>;
    delete(database: string, name: string, ifExists?: boolean): Promise<DeleteTableResponse>;
    findAll(database: string): Promise<FindAllTableResponse>;
    checkExist(database: string, name: string): Promise<DeleteTableResponse>;
}
