import { JSValueType, SQLValueType } from '../types';
export declare class IricUtil {
    /**
     * 将错误信息转换为可存储字符串
     * @param error 错误信息
     */
    parseError(error: any): string;
    /**
     * 将JS值转换为SQL值
     * @param value JS 值类型
     * @returns SQL值类型
     */
    convertJSValue(value: JSValueType): SQLValueType;
    /**
     * SQl值转义
     * @param value 原始字符串
     * @returns 转以后的字符串
     */
    private sqlValueFormat;
}
